
Figure - Bug #118044
IOVDEV-28906 【内部】【VC1】【0095】【台架】【EE环境】【副屏】【monkey命令】昨天晚上九点左右副
屏跑monkey命令，早上八点40来的时候副屏黑屏
2023-05-18 16:25 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-18

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Free Test Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230518 08：47

【前提条件】：副屏上电

【操作步骤】

【前提条件】.副屏正常可以操作

1.执行monkey命令

【实际结果】

1.副屏黑屏点击无反应

【期望结果】

1.副屏正常再跑monkey命令

【备注】：

第129次开机

中间没有重启，跑monkey命令之前是第128次开机，早上过来副屏黑屏，先是给副屏掉电重启，副屏仍然黑屏无反应，然后是副屏控制

器掉电重启，副屏正常重启

日志地址：https://ofs.human-horizons.com/#/download/index/AR44E6h85uQ%3D

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-18 16:27 - CDTS-TEST 周婷

- Assignee set to CD FW 曹覃刚

日志稍后上传或者联系王成或者周婷
#2 - 2023-05-18 17:46 - CD FW 曹覃刚

- Category changed from BSP to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

Hi 周婷

https://ofs.human-horizons.com/#/download/index/AR44E6h85uQ%3D

从链接中下载的日志，是实时日志，缺少历史日志，且日志时间是0517的

请确认日志是否抓取正确以及上传正确，谢谢

#3 - 2023-05-19 11:18 - CDTS_Test 吴诗雨

- Category changed from 依赖客户及其供应商解决 to CD-FW

- Assignee changed from CDTS-TEST 周婷 to CD FW 曹覃刚

更新的日志已私发

#4 - 2023-05-19 11:26 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

如线下沟通 新抓的日志仍然是实时日志，不是历史日志

请同步抓取历史日志的方式给客户，并让他们从新抓取

#5 - 2023-05-19 17:47 - CD TPM-王祥林

日志上传到这个目录：ftp://cdiot@192.168.87.46/Figure/bug/118044

#6 - 2023-05-19 18:23 - CD FW 曹覃刚

根据最新抓取的历史日志, 在129次开机检查上一次关机的原因，为触发了电压保护

FSEM_000129_0302_0518112356/prop.txt:264:[persist.sys.boot.reason.history]: [shutdown,trigger_voltage_protection,1684284514

reboot,9]

#7 - 2023-05-19 19:06 - CDTS-TEST 周婷

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD BSP-杜磊

请帮忙分析，谢谢
#8 - 2023-05-21 15:20 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to CDTS-TEST 周婷

不是软件问题，是电压供电不足问题，已经转给客户测试去复验。

根据最新抓取的历史日志, 在129次开机检查上一次关机的原因，为触发了电压保护。

FSEM_000129_0302_0518112356/prop.txt:264:[persist.sys.boot.reason.history]: [shutdown,trigger_voltage_protection,1684284514

reboot,9]

所以此问题是外部电压异常导致设备关机了，非控制器和屏幕的问题。检查外部供电设备，保证供电充足后再进行复测。

#9 - 2023-05-22 15:06 - CD TPM-王祥林

第128次开机过程中05-17 14:53收到了MCU的关机指令。MCU只有收到KL15下电信号的情况才会给MPU发送关机指令。

05-17 14:53:23.961   655   669 V mpu_uart: recv data buf:[0x3c, 0x7, 0x0, 0x2, 0x14, 0x82, 0xaf, ]

05-17 14:53:23.966  2294  2444 D ProtectUartService: received uart notiy mpu to shutdown 

05-17 14:53:23.972  1528  7318 I PowerManagerService: Powering off display group due to device_admin (groupId= 0, uid= 1000)...

05-17 14:53:23.972  1528  7318 I PowerManagerService: Going to sleep due to device_admin (uid 1000)...

05-17 14:53:23.974  1528  7318 I power_sleep_requested: 0

05-17 14:53:23.975  1528  1645 I PowerManagerService: Sleeping display group (groupId=0, uid=1000)...

05-17 14:53:23.975  1528  1645 I PowerManagerService: Sleeping (uid 1000)...

第129次开机时间已经在05-18 09:04左右。

#10 - 2023-05-22 20:54 - CD TPM-王祥林

需要测试确认，是否为外部环境给副屏发送了KL15下电信号。

#11 - 2023-06-25 11:29 - CDTS_TEST 王成

- Assignee changed from CDTS-TEST 周婷 to CD TEST-方永红

持续跟踪

#12 - 2023-06-25 14:56 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#13 - 2023-06-25 14:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
